Subject: Re: bug#64420: string-width of … is 2 in CJK environments

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Aug 2023 08:50:22 +0300

> Date: Sat, 12 Aug 2023 02:52:29 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 05/08/2023 18:01, Eli Zaretskii wrote:
> > OK, this is now installed on master.  We have a new user option named
> > cjk-ambiguous-chars-are-wide; its default is t, but if set to nil, the
> > characters proclaimed by Unicode as "ambiguous" will have char-width
> > of 1, not 2.  Note that this option should be set either via 'setopt'
> > or the Customize interface, not via 'setq'.
> > 
> > Let me know how well this works for you.
> 
> Seems to work fine, thank you.
> 
> With the caveat that, in the terminal, if I switch to Chinese-BIG5 and 
> visit a file with ambiguous characters like … (which triggers some bugs 
> with display and navigation around those chars), (setopt 
> cjk-ambiguous-chars-are-wide nil) doesn't fix those bugs -- I have to 
> kill and re-visit the buffer for them to go away. But maybe that's expected.

Does "M-x redraw-display RET" solve the problem after setting the
variable?